Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 50452 - kbgoffice-1.0.1.ebuild (New Package)
Summary: kbgoffice-1.0.1.ebuild (New Package)
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard: sunrise suggested
Keywords: EBUILD
: 145950 (view as bug list)
Depends on:
Blocks: 145952
  Show dependency tree
 
Reported: 2004-05-08 07:15 UTC by Kaloyan Ivanov
Modified: 2010-03-28 13:44 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
kbgoffice-1.0.1.ebuild (kbgoffice-1.0.1.ebuild,857 bytes, text/plain)
2004-05-08 07:18 UTC, Kaloyan Ivanov
Details
kbgoffice.desktop (kbgoffice.desktop,311 bytes, text/plain)
2004-05-08 07:19 UTC, Kaloyan Ivanov
Details
kbgoffice-1.7.ebuild (kbgoffice-1.7.ebuild,889 bytes, text/plain)
2005-07-02 06:03 UTC, Kaloyan Ivanov
Details
a new ebuild based on kbedic-4.0 - kbgoffice-1.8.ebuild (kbgoffice-1.8.ebuild,1.12 KB, application/octet-stream)
2006-03-05 02:58 UTC, Iskren Slavov
Details
app-text/kbgoffice-1.8.ebuild (kbgoffice-1.8.ebuild,1012 bytes, text/plain)
2006-03-05 09:47 UTC, Kalin KOZHUHAROV
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kaloyan Ivanov 2004-05-08 07:15:45 UTC
Hi

Please find attached kbgoffice-1.0.1.ebuild and kbgoffice.desktop 

kbgoffice is the Bulgarian office assistant, which is successor of the 
kbedic. The application is part of the project bgoffice, which can be 
find at http://bgoffice.sourceforge.net/  The ebuild was tested on "x86" platform and it work fine.

I suggest app-text/ for package category.
Comment 1 Kaloyan Ivanov 2004-05-08 07:18:41 UTC
Created attachment 30995 [details]
kbgoffice-1.0.1.ebuild
Comment 2 Kaloyan Ivanov 2004-05-08 07:19:27 UTC
Created attachment 30996 [details]
kbgoffice.desktop
Comment 3 Rossen Apostolov 2004-11-19 04:24:40 UTC
The same ebuild works also for the newest version kbgoffice-1.5
Comment 4 Andreas Proschofsky (RETIRED) gentoo-dev 2005-01-23 13:10:29 UTC
As I don't speak bulgarian ;) what does this package provide? 
Comment 5 Rossen Apostolov 2005-01-24 21:03:39 UTC
kboffice-1.6 : same ebuild

Provides: 
1.Bulgarian <-> English Dictionaries
2.Dictionary Of Computer Terms ( English -> Bulgarian )
3.Polytechnical Dictionary ( English -> Bulgarian )
4.Thesaurus (Bulgarian)

It's really useful and I'm sure the (small? big?) bulgarian
gentoo community will be very happy to have it in portage :)
Comment 6 Andreas Proschofsky (RETIRED) gentoo-dev 2005-01-24 23:13:11 UTC
Still: OOo has it's own dictionary and Thesaurus for the Bulgarian language (through OODict), so I won't take it. As this seems to be a general spelling project, reassigning to app-dicts-herd, maybe they are interested.

Comment 7 Rossen Apostolov 2005-04-18 18:59:45 UTC
app-text/kbedic got updated recently.

I don't see why kbgoffice doesn't get included in the tree,
when it is kbedic + more dictionaries!?!
Also, it is not a spelling project, it's a set of dictionaries,
none of which is in OpenOffice.

And app-dict/ looks more appropriate than app-text/.
Comment 8 Rossen Apostolov 2005-04-18 19:02:55 UTC
Forgot:)

version 1.7 is out, same ebuild
Comment 9 Kaloyan Ivanov 2005-07-02 06:03:02 UTC
Created attachment 62462 [details]
kbgoffice-1.7.ebuild

Changelog: 
Version dump,
changed Copyright to Gentoo Foundation, description
and reassigned to app-dicts@gentoo.org
Comment 10 Kaloyan Ivanov 2005-12-12 22:38:31 UTC
kbgoffice 1.8 is out. The same ebuild work fine.
Comment 11 Iskren Slavov 2006-03-04 00:43:33 UTC
(In reply to comment #6)
> Still: OOo has it's own dictionary and Thesaurus for the Bulgarian language
> (through OODict), so I won't take it. As this seems to be a general spelling
> project, reassigning to app-dicts-herd, maybe they are interested.
> 

Hi Andreas, isn't just Thesaurus. Actually it is a:
1. Dual Bulgarian <-> English dictionary
2. A dictionary of computer terms
3. Dialect dictionary
4. Polytechnical English <-> Bulgarian dictionary
5. In the last place it has Thesaurus!

As it was said in the description it is the SUCCESSOR of KBEdic which is no longer supported! Lots of package based distros already added KBGOffice and GBGOffice to their repository and you are telling me that Gentoo (which all we know is a BLEEDING EDGE distribution) is still using the old UNSUPPORTED KBEDic.
I think the problem is that there is no bulgarian maintainer for the bulgarian packages in gentoo. That's why lots of the bulgarian users have to compile  kbgoffice from source - there is just NO ebuild for it.

I created a new ebuild based on the kbedic-4.0.ebuild for kbgoffice-1.8. And I have tested it on ~x86 and ~amd64, that is why I'd like to assure you that it works on these architectures with no problem, here it is:

-------------------------------------------------------------------------------
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $

inherit kde eutils

DESCRIPTION="English <-> Bulgarian Dictionary. This is the successor of KBEDic."
HOMEPAGE="http://kbedic.sourceforge.net"
SRC_URI="mirror://sourceforge/kbedic/${P}.tar.gz
	 mirror://sourceforge/kbedic/full-pack.tar.bz2"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~x86 ~amd64"
IUSE="kde"

DEPEND="=x11-libs/qt-3*
	kde? ( >=kde-base/kdelibs-3 )"


src_unpack() {
	unpack ${A}
	cd ${S}
	# epatch ${FILESDIR}/ppc-gfxopt.patch # kbedic patch
}

src_compile() {
	set-qtdir 3
	set-kdedir 3

	myconf="--prefix=/usr"
	use kde && myconf="$myconf --with-kde"
	use kde && kde_src_compile myconf
	kde_src_compile configure make
}

src_install() {
	kde_src_install

	if use kde; then
		insinto /usr/share/applnk/Utilities
		doins ${S}/src/kbgoffice.desktop
	fi

	# Now let us install the full dictionary pack, 
	# because in kbgoffice it is SEPARATED from the program:
	einfo Installing full dictionary pack
	for file in ${WORKDIR}/full-pack/data/*; do
                install -m 644 ${file} ${D}/usr/share/bgoffice
        done
}

-------------------------------------------------------------------------------

Please, DO add kbgoffice to the gentoo repository. We, the Bulgarian users need it!
Comment 12 Iskren Slavov 2006-03-05 02:58:48 UTC
Created attachment 81382 [details]
a new ebuild based on kbedic-4.0 - kbgoffice-1.8.ebuild
Comment 13 Iskren Slavov 2006-03-05 03:00:16 UTC
sorry for that one, I fixed it a bit, and attached it as "a new ebuild based on kbedic-4.0" - this works for kbgoffice-1.8
Comment 14 Kalin KOZHUHAROV 2006-03-05 09:29:12 UTC
Hmm, quite an old bug we have here...

As I was asked personally to "have a look" and comment on, here I come.

First, I am not (yet) a developer and second I am not using KDE on ony of my boxen, so testing this fully is beyound me.

I completely understand Andreas and he cannot do too much without our help (the people who know Bulgarian).

One step will be to have a little English explaination page on the website, more or less the top contents of comment #11 ... Somebody has to contact Radostin Radinev for that.
BTW, full-pack.tar.bz2 is served as application/x-redhat-package-manager MIME type which is simply wrong.

Second step will be to cleanup the attachments to this bug:
1. Please mark all attachments deprecated (only original submitter or a dev can do that). The current 1.8 version has kbgoffice.desktop inside the source and I will be attaching my improved ebuild in the next commit.

2. The reporter (Kaloyan Ivanov), please set URL to http://bgoffice.sourceforge.net/ and Summary (if you can) to "app-text/kbgoffice (New ebuild)"


Even if I can read Bulgarian, the explanation on 
http://bgoffice.sourceforge.net/ is a bit vague, as it there a few projects going there... So a few questions to be cleared:

1. What should be the name?
The package and its binary is kbgoffice, the home page is bgoffice, and when you start the program it says "bgOffice Assistant 1.8"... Talk about consistency! Better be addressed upstream first.


2. What exactly does USE=kde do? (no KDE here, please explain)

3. The ebuild is very badly written, with "old syntax", I'll look into that one of these days.
For now it is available from my overlay, see:
http://rsync.tar.bz/HOWTO


P.S. Please don't post code/ebuilds/patches inside bugzilla, use the attachment facility.
Comment 15 Kalin KOZHUHAROV 2006-03-05 09:47:24 UTC
Created attachment 81420 [details]
app-text/kbgoffice-1.8.ebuild

This is a cleaned up ebuild based on the ones suggested so far.

Tested in x86 for USE="-kde" only.
Comment 16 Iskren Slavov 2006-03-05 10:26:58 UTC
(In reply to comment #15)
> Created an attachment (id=81420) [edit]
> app-text/kbgoffice-1.8.ebuild
> 
> This is a cleaned up ebuild based on the ones suggested so far.
> 
> Tested in x86 for USE="-kde" only.
> 

Done! Compiled it with USE="kde". Works with great, thanks for the updated ebuild.
Comment 17 Kevin F. Quinn (RETIRED) gentoo-dev 2006-03-06 10:13:23 UTC
Looking at http://kbedic.sourceforge.net/download.html there seem to be several parts.  I'm guessing from the odd English word on the page, since I don't speak Bulgarian ;) that:

kbedic - language pack + KDE frontend
cbedic - language pack + console frontend
cbedic-src - console frontend only
obedic-src - web-based frontend (for use with apache etc)
bedic-data - language pack only

in which case I think it would be better to have separate ebuilds for the language pack and each of the utilities.  Other dictionary apps are separated this way, with the frontends in an appropriate place and the dictionaries in app-dicts; e.g. kde-misc/kbedic app-text/cbedic www-apps/obedic for the frontends and app-dicts/bedic for the language pack.

How does this dictionary relate to others in the tree?  In particular the aspell and ispell Bulgarian dictionaries.  Is it better, worse, the same?  Are the data files compatible in any way with these other dictionary utilities?
Comment 18 Rossen Apostolov 2006-03-09 21:25:27 UTC
BTW, care should be taken with the dictionary tarball,full-pack.tar.bz2. 
After upgrades the name doesn't change to include version etc. 
So, if you already have it downloaded for a previous install, 
md5sum check fails for the new one. Maybe there should be 
some kind of warning message to ask the user to remove ${DISTFILES}/full-pack.tar.bz2 and re-fetch, or somehow
force the download
Comment 19 Jakub Moc (RETIRED) gentoo-dev 2006-09-02 01:08:53 UTC
*** Bug 145950 has been marked as a duplicate of this bug. ***
Comment 20 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-01-07 17:13:08 UTC
(this is an automated message based on filtering criteria that matched this bug)

Hello, The Gentoo Team would like to firstly thank you for your ebuild
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to commit to and all users can have ebuilds reviewed by Gentoo devs for entry into the overlay.
So, the sunrise team is suggesting that you look into this and submit your
ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 21 Kalin KOZHUHAROV 2010-02-17 12:51:37 UTC
Somehow, I haven't put myself in Cc for this bug...

According to my svn log this ebuild has been in my pkalin[1] overlay since 2006-03-06, but I haven't really tried to use it. Recently I had a look and fixed a few formatting issues to make repoman happy.

[1]   https://svn.tar.bz/repos/pkalin/trunk/README.txt

It is using old KDE/qt3 and the upstream developer seems to not be inclined to port it to KDE4. As of now I cannot devote enough time to the sunrise overlay, if anybody is using this ebuild, please feel free to take over form my overlay, just let me know.
Comment 22 Samuli Suominen (RETIRED) gentoo-dev 2010-03-28 13:44:28 UTC
i'm closing this bug because:

- qt3/kde3 has been removed from portage
- no upstream releases for other toolkits